# synfigapp::Settings Class Reference

`#include <settings.h>`

Inheritance diagram for synfigapp::Settings:

List of all members.

## Public Types

typedef std::list< synfig::String > | KeyList
typedef std::map < synfig::String, synfig::String > | ValueBaseMap
typedef std::map < synfig::String, Settings * > | DomainMap

## Public Member Functions

| Settings ()
virtual | ~Settings ()
virtual bool | get_value (const synfig::String &key, synfig::String &value) const
virtual bool | set_value (const synfig::String &key, const synfig::String &value)
virtual KeyList | get_key_list () const
synfig::String | get_value (const synfig::String &key) const
void | add_domain (Settings *domain, const synfig::String &name)
void | remove_domain (const synfig::String &name)
bool | load_from_string (const synfig::String &data)
bool | save_to_string (synfig::String &data)
bool | load_from_file (const synfig::String &filename)
bool | save_to_file (const synfig::String &filename) const

## Member Typedef Documentation

typedef std::list<synfig::String> synfigapp::Settings::KeyList

typedef std::map<synfig::String,synfig::String> synfigapp::Settings::ValueBaseMap

typedef std::map<synfig::String,Settings*> synfigapp::Settings::DomainMap

## Constructor & Destructor Documentation

Settings::Settings | ( |  | ) |

Settings::~Settings | ( |  | ) | `[virtual]`

## Member Function Documentation

bool Settings::get_value | ( | const synfig::String & | key,
|  | synfig::String & | value |
| ) |  |  | const`[virtual]`

Reimplemented in studio::DialogSettings.

Referenced by get_value(), studio::DialogSettings::get_value(), and save_to_file().

bool Settings::set_value | ( | const synfig::String & | key,
|  | const synfig::String & | value |
| ) |  |  | `[virtual]`

Reimplemented in studio::DialogSettings.

Referenced by load_from_file(), and studio::DialogSettings::set_value().

Settings::KeyList Settings::get_key_list | ( |  | ) | const`[virtual]`

Reimplemented in studio::DialogSettings.

References compare_pref_first().

Referenced by studio::DialogSettings::get_key_list(), and save_to_file().

synfig::String Settings::get_value | ( | const synfig::String & | key | ) | const

References get_value().

void Settings::add_domain | ( | Settings * | domain,
|  | const synfig::String & | name |
| ) |  |  |

Referenced by synfigapp::InputDevice::InputDevice().

void Settings::remove_domain | ( | const synfig::String & | name | ) |

Referenced by synfigapp::InputDevice::~InputDevice().

bool synfigapp::Settings::load_from_string | ( | const synfig::String & | data | ) |

bool synfigapp::Settings::save_to_string | ( | synfig::String & | data | ) |

bool Settings::load_from_file | ( | const synfig::String & | filename | ) |

References set_value().

bool Settings::save_to_file | ( | const synfig::String & | filename | ) | const

References get_key_list(), and get_value().

The documentation for this class was generated from the following files:

- settings.h
- settings.cpp